BasicAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class BasicAttributeBinding

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractAttributeBinding
          org.hibernate.metamodel.binding.AbstractSingularAttributeBinding
              org.hibernate.metamodel.binding.BasicAttributeBinding

All Implemented Interfaces:
  AttributeBinding, KeyValueBinding, SingularAttributeBinding

Direct Known Subclasses:
  ManyToOneAttributeBinding

    public class BasicAttributeBinding

extends AbstractSingularAttributeBinding
implements KeyValueBinding

TODO : javadoc

Method Summary
`boolean` | `forceNonNullable()`
`boolean` | `forceUnique()`
`PropertyGeneration` | `getGeneration()` Obtain the generation strategy for this attribute/value.
`MetaAttributeContext` | `getMetaAttributeContext()` Obtain the meta attributes associated with this binding
`String` | `getUnsavedValue()`
`boolean` | `isAssociation()`
`boolean` | `isIncludedInOptimisticLocking()`
`boolean` | `isKeyCascadeDeleteEnabled()`
`void` | `setGeneration(PropertyGeneration generation)`
`void` | `setIncludedInOptimisticLocking(boolean includedInOptimisticLocking)`
`void` | `setKeyCascadeDeleteEnabled(boolean keyCascadeDeleteEnabled)`
`void` | `setMetaAttributeContext(MetaAttributeContext metaAttributeContext)`
`void` | `setUnsavedValue(String unsavedValue)`

Methods inherited from class org.hibernate.metamodel.binding.AbstractSingularAttributeBinding
`checkValueBinding, getAttribute, getSimpleValueBindings, getSimpleValueSpan, getValue, hasDerivedValue, isNullable, setSimpleValueBindings`

Methods inherited from class org.hibernate.metamodel.binding.AbstractAttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isLazy, setAlternateUniqueKey, setLazy, setPropertyAccessorName, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getAttribute, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isLazy, setPropertyAccessorName, validate`

Method Detail

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `AttributeBinding`

### getUnsavedValue

    public String getUnsavedValue()

  Specified by:
    `getUnsavedValue` in interface `KeyValueBinding`

### setUnsavedValue

    public void setUnsavedValue(String unsavedValue)

### getGeneration

    public PropertyGeneration getGeneration()

  Description copied from interface: `SingularAttributeBinding`
  Obtain the generation strategy for this attribute/value.

  Specified by:
    `getGeneration` in interface `SingularAttributeBinding`
  Returns:
    The generation strategy

### setGeneration

    public void setGeneration(PropertyGeneration generation)

### isIncludedInOptimisticLocking

    public boolean isIncludedInOptimisticLocking()

  Specified by:
    `isIncludedInOptimisticLocking` in interface `AttributeBinding`
  Overrides:
    `isIncludedInOptimisticLocking` in class `AbstractAttributeBinding`

### setIncludedInOptimisticLocking

    public void setIncludedInOptimisticLocking(boolean includedInOptimisticLocking)

  Specified by:
    `setIncludedInOptimisticLocking` in interface `AttributeBinding`
  Overrides:
    `setIncludedInOptimisticLocking` in class `AbstractAttributeBinding`

### isKeyCascadeDeleteEnabled

    public boolean isKeyCascadeDeleteEnabled()

  Specified by:
    `isKeyCascadeDeleteEnabled` in interface `KeyValueBinding`

### setKeyCascadeDeleteEnabled

    public void setKeyCascadeDeleteEnabled(boolean keyCascadeDeleteEnabled)

### forceNonNullable

    public boolean forceNonNullable()

### forceUnique

    public boolean forceUnique()

### getMetaAttributeContext

    public MetaAttributeContext getMetaAttributeContext()

  Description copied from interface: `AttributeBinding`
  Obtain the meta attributes associated with this binding

  Specified by:
    `getMetaAttributeContext` in interface `AttributeBinding`
  Overrides:
    `getMetaAttributeContext` in class `AbstractAttributeBinding`
  Returns:
    The meta attributes

### setMetaAttributeContext

    public void setMetaAttributeContext(MetaAttributeContext metaAttributeContext)

  Overrides:
    `setMetaAttributeContext` in class `AbstractAttributeBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.